Browse Source

Update to better handle "home"-ness

Samuel W. Flint 4 years ago
parent
commit
09ee408ad7
1 changed files with 8 additions and 1 deletions
  1. 8 1
      atHome

+ 8 - 1
atHome

@@ -1,3 +1,10 @@
 #!/bin/sh
 
-[ $(iwgetid --scheme) == "404WiFiNOTFound" ]
+if [ "${ATHOME}" == "1" ] ; then
+    exit 0
+elif which iwgetid ; then
+    [ x$(iwgetid --scheme) == x404WiFiNOTFound ]
+    exit $?
+else
+    exit 1
+fi